# Companion

object Companion

## Properties

logLevel
Link copied to clipboard
@ JvmStatic
var logLevel : KavaRefRuntime.LogLevel

Get or set the log level for KavaRef.

## Functions

asResolver
Link copied to clipboard
@ JvmStatic
@ JvmName (name = "resolveObject")
fun < T : Any > T . asResolver (): KavaRef.MemberScope < T >

Create a MemberScope instance to start a new reflection.

fun KavaRef.MemberScope <*>. asResolver (): KavaRef.MemberScope <*>
fun MemberCondition <*, *, *>. asResolver (): MemberCondition <*, *, *>
fun MemberResolver <*, *>. asResolver (): MemberResolver <*, *>
fun List < MemberResolver <*, *>>. asResolver (): List < MemberResolver <*, *>>

This is a fake function call chains to avoid internal calls to themselves.

resolve
Link copied to clipboard
@ JvmStatic
@ JvmName (name = "resolveClass")
fun < T : Any > Class < T >. resolve (): KavaRef.MemberScope < T >
fun < T : Any > KClass < T >. resolve (): KavaRef.MemberScope < T >

Create a MemberScope instance to start a new reflection.

setLogger
Link copied to clipboard
@ JvmStatic
fun setLogger (logger: KavaRefRuntime.Logger )

Set the logger for KavaRef.